## groovy.swing.factory
Class BindFactory

author:
  Danno Ferrin

version:
  $Revision: 8768 $

since:
  Groovy 1.1

Field Summary
`Map` | `syntheticBindings`

Constructor Summary
`BindFactory()`

Method Summary
`static def` | `bindingAttributeDelegate(def builder, def node, def attributes)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Accepted Properties...

Constructor Detail

### BindFactory

    public BindFactory()

Method Detail

### bindingAttributeDelegate

    public static def bindingAttributeDelegate(def builder, def node, def attributes)

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

  Accepted Properties... group? source ((sourceProperty) | (sourceEvent sourceValue)) (target targetProperty)? (? use default javabeans property if targetProperty is not present?)
  param:
    builder
  param:
    name
  param:
    value
  param:
    attributes
  return:
    the newly created instance
  throws:
    InstantiationException
  throws:
    IllegalAccessException